<?php

namespace App\Console\Commands\SmartPush;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class UnPaidPushPointBook extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'SmartPush:UnPaidPushPointBook';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '未付费推送定制书籍';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
    	$this->unpaid_push_point_book();
    }

    public function unpaid_push_point_book(){
    	CustomMsgService::SmartPush('unpaid_point_push');
    }

}
